#
# spec file for package rubygem-rubyntlm
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rubyntlm
Version:        0.6.5
Release:        1.5
%define mod_name rubyntlm
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.6.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/winrb/rubyntlm
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Ruby/NTLM library
License:        MIT

%description
Ruby/NTLM provides message creator and parser for the NTLM authentication.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- ## 0.6.5 (2024-06-11)
  * Update available NegotiateFlags during authentication
  * Fix NTLMv2 hash when username contains non-ASCII characters by @cdelafuente-r7 in https://github.com/WinRb/rubyntlm/pull/56
  [#]# 0.6.4 (2024-06-06)
  * Fix applying DES-CBC when using OpenSSL 3 by @paulvt in https://github.com/WinRb/rubyntlm/pull/51
  * Add dependency to `base64` gem by @yahonda in https://github.com/WinRb/rubyntlm/pull/62
  * Avoid usage of legacy algorithms on libssl-3.0+ by @larskanis in https://github.com/WinRb/rubyntlm/pull/53
  * Add anonymous authentication support by @zeroSteiner in https://github.com/WinRb/rubyntlm/pull/45
  * Update minimum supported ruby to 2.6. Add support for ruby 3.2 and 3.3
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 0.6.3
  see installed CHANGELOG.md
* Tue May 23 2017 coolo@suse.com
- updated to version 0.6.2
  see installed CHANGELOG.md
* Fri Sep 16 2016 coolo@suse.com
- updated to version 0.6.1
  see installed CHANGELOG.md
* Wed Feb 17 2016 coolo@suse.com
- updated to version 0.6.0
  see installed CHANGELOG.md
* Mon Jan 25 2016 coolo@suse.com
- updated to version 0.5.3
  see installed CHANGELOG.md
* Tue Jul 21 2015 coolo@suse.com
- updated to version 0.5.2
  see installed CHANGELOG.md
* Wed Jun 24 2015 coolo@suse.com
- updated to version 0.5.1
  see installed CHANGELOG.md
* Tue Feb 24 2015 coolo@suse.com
- updated to version 0.5.0
* Fri Sep 13 2013 coolo@suse.com
- updated to version 0.4.0
* Mon Aug 26 2013 coolo@suse.com
- updated to version 0.3.4
* Wed Jul 31 2013 coolo@suse.com
- updated to version 0.3.3
* Sat Apr 13 2013 coolo@suse.com
- updated to version 0.3.1
  - Bug - Type 1 packets do not include a domain and workstation by defauly. Packet capture software will see this type of packet as malformed. All packets now include this information
  - Bug - Type 3 packets do not include the calling workstation. This should be setup by default.
  - Feature user can specify the target domain
* Fri Oct  7 2011 fcastelli@suse.com
- Add Provides statement
* Mon Jan 10 2011 aduffeck@novell.com
- initial version
